<ng-container *transloco="let t; prefix: 'participantType'">
    <div class="d-flex justify-content-center align-items-center pt-5">

        <div class="col-12 col-md-8">
            @if (!participantTypesService.loading()) {
            <div class="row">
                <div class="row text-break">
                    <h1 class="text-primary">{{ t('title') }}</h1>
                </div>
                <lib-tabs [tabs]="tabs()" (clickTab)="clickTab($event)"></lib-tabs>
            </div>
            <div class="row">
                <div class="col-12">
                    <button mat-flat-button class="mt-2" color="accent"
                        (click)="participantTypesService.openIdAttrDialog(tab())">
                        <mat-icon class="me-1">add</mat-icon>
                        {{ t('addAttribute') }}
                    </button>
                    <lib-search-page [pageInfo]="pageInfo" [pilot]="participantTypesService.pilot"></lib-search-page>
                </div>
            </div>
            } @else {
            <div class="w-full d-flex items-center justify-content-center py-5">
                <lib-loader id="mainLoader" [size]=80></lib-loader>
            </div>
            }
        </div>
    </div>
</ng-container>
